package de.subway_surfers.vpr_app;

import RestAPISchnittstelle.RestApiClient;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.*;
import javafx.stage.Stage;

import java.io.IOException;

public class VerwaltungController {

	@FXML
	public PasswordField passwortTextfield;
	@FXML
	public TextField benutzernameTextfield;

	public void initialize(){



	}


	/**
	 * Wird der Anmeldenbutton geklickt, wird der Nutzer angemeldet.
	 */
	public void onAnmeldenClick(ActionEvent actionEvent) {
		RestApiClient client = new RestApiClient();

		String credentials = String.format("{\"Benutzername\" : \"%s\", \"passwort\" : \"%s\"}", benutzernameTextfield.getText(), passwortTextfield.getText());
		if(client.anmeldeVersuch(credentials))
			VerwaltungApplication.sceneWechseln("hauptmenue_mitarbeiter-view.fxml");
	}
}